import { NuGetClient, NuGetApiVersion } from './base';
/**
 * Create a NuGetClient for the specified feed.
 *
 * @param feedURL The feed URL.
 * @param apiVersion An optional NuGet API version to use (if not specified, will attempt to auto-detect).
 */
export declare function createClient(feedURL: string, apiVersion?: NuGetApiVersion): Promise<NuGetClient>;
export { NuGetClient, NuGetApiVersion } from './base';
export { NuGetClientError } from './error';
export { NuGetClientV3, defaultIndexURLV3, isV3IndexURL, NuGetIndex, NuGetApiResource } from './v3';
