/// <reference types="mocha" />
/**
 * Async callback for Mocha.
 */
export declare type MochaDoneCallback = (done: MochaDone) => void;
/**
 * Create a Mocha callback function to run an asynchronous action as part of a test.
 *
 * @param action The asynchronous action to perform.
 * @returns {MochaDoneCallback} The Mocha callback function.
 */
export declare function run(action: () => Promise<void>): MochaDoneCallback;
/**
 * Create a promise that resolves after the specified delay.
 *
 * @param milliseconds The delay, in milliseconds.
 */
export declare function delay(milliseconds: number): Promise<void>;
